Package org.eclipse.lemminx.dom

## Class XMLModel

- java.lang.Object
- - org.eclipse.lemminx.dom.XMLModel

    public class XMLModel
    extends Object

XML model processing instruction.

            <?xml-model href="http://www.docbook.org/xml/5.0/xsd/docbook.xsd"?>

### Constructor Summary

Constructors
`XMLModel​(DOMProcessingInstruction processingInstruction)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getHref()` Returns the location of the referenced schema
`DOMRange` `getHrefNode()` Returns the href range and null otherwise.
`boolean` `isApplicable()` Returns true if the xml-model is applicable and false otherwise.
`static boolean` `isXMLModel​(DOMNode node)` Returns true if the given node is a xml-model processing instruction and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLModel

    public XMLModel​(DOMProcessingInstruction processingInstruction)

### Method Detail

#### getHref

    public String getHref()

Returns the location of the referenced schema

Returns:
  the location of the referenced schema

#### isXMLModel

    public static boolean isXMLModel​(DOMNode node)

Returns true if the given node is a xml-model processing instruction and false otherwise.

Parameters:
  `node` - the DOM node.
Returns:
  true if the given node is a xml-model processing instruction and false otherwise.

#### getHrefNode

    public DOMRange getHrefNode()

Returns the href range and null otherwise.

Returns:
  the href range and null otherwise.

#### isApplicable

    public boolean isApplicable()

Returns true if the xml-model is applicable and false otherwise.

Returns:
  true if the xml-model is applicable and false otherwise.